Bug 443259 - Frequent crashes with i915.modeset=1 on intel GM695/GL690
Summary: Frequent crashes with i915.modeset=1 on intel GM695/GL690
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-19 20:20 UTC by Matěj Cepl
Modified: 2018-04-11 07:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-24 05:09:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (914 bytes, text/plain)
2008-04-19 20:22 UTC, Matěj Cepl
no flags Details
Xorg.0.log (16.56 KB, text/plain)
2008-04-19 20:22 UTC, Matěj Cepl
no flags Details
Xorg.0.log.old (16.56 KB, text/plain)
2008-04-19 20:22 UTC, Matěj Cepl
no flags Details
Xorg.1.log (16.56 KB, text/plain)
2008-04-19 20:22 UTC, Matěj Cepl
no flags Details
Xorg.1.log.old (20.67 KB, text/plain)
2008-04-19 20:22 UTC, Matěj Cepl
no flags Details
Xorg.2.log (16.56 KB, text/plain)
2008-04-19 20:22 UTC, Matěj Cepl
no flags Details
Xorg.2.log.old (20.67 KB, text/plain)
2008-04-19 20:22 UTC, Matěj Cepl
no flags Details
Xorg.3.log (16.56 KB, text/plain)
2008-04-19 20:22 UTC, Matěj Cepl
no flags Details
Xorg.3.log.old (20.67 KB, text/plain)
2008-04-19 20:22 UTC, Matěj Cepl
no flags Details
Xorg.4.log (16.56 KB, text/plain)
2008-04-19 20:22 UTC, Matěj Cepl
no flags Details
Xorg.4.log.old (20.67 KB, text/plain)
2008-04-19 20:22 UTC, Matěj Cepl
no flags Details
Xorg.5.log (16.56 KB, text/plain)
2008-04-19 20:22 UTC, Matěj Cepl
no flags Details
Xorg.5.log.old (20.67 KB, text/plain)
2008-04-19 20:22 UTC, Matěj Cepl
no flags Details
Xorg.0.log for comment 16 (16.16 KB, text/plain)
2008-07-28 10:44 UTC, Igor Bukanov
no flags Details
dmesg output for comment 16 (29.46 KB, text/plain)
2008-07-28 10:45 UTC, Igor Bukanov
no flags Details

Description Matěj Cepl 2008-04-19 20:20:41 UTC
Description of problem:
When trying i915.modeset=1 on my kernel command line everything looks pretty
well, but unfortunately, from time to time Xorg crashes and then it gets into
endless cycle of restarts (either fast repeated Ctrl-Alt-Del or power off is the
only solution).

Version-Release number of selected component (if applicable):
mesa-libGL-7.1-0.25.fc9.i386
xorg-x11-drv-i810-2.2.1-20.fc9.i386
kernel-2.6.25-1.fc9.i686
[matej@viklef ~]$ uname -a
Linux viklef 2.6.25-1.fc9.i686 #1 SMP Thu Apr 17 01:47:10 EDT 2008 i686 i686
i386 GNU/Linux
[matej@viklef ~]$ 

How reproducible:
5 out of 5 restarts

Steps to Reproduce:
1.just run Xorg (from gdm) with i915.modeset=1 on the kernel command line
2.
3.
  
Actual results:
crashes from time to time

Expected results:
everything stable as a rock

Comment 1 Matěj Cepl 2008-04-19 20:21:25 UTC
The following logs are generated either without /etc/X11/xorg.conf or with the
attached one.

Comment 2 Matěj Cepl 2008-04-19 20:22:07 UTC
Created attachment 303012 [details]
xorg.conf

Comment 3 Matěj Cepl 2008-04-19 20:22:10 UTC
Created attachment 303013 [details]
Xorg.0.log

Comment 4 Matěj Cepl 2008-04-19 20:22:13 UTC
Created attachment 303014 [details]
Xorg.0.log.old

Comment 5 Matěj Cepl 2008-04-19 20:22:16 UTC
Created attachment 303015 [details]
Xorg.1.log

Comment 6 Matěj Cepl 2008-04-19 20:22:19 UTC
Created attachment 303016 [details]
Xorg.1.log.old

Comment 7 Matěj Cepl 2008-04-19 20:22:22 UTC
Created attachment 303017 [details]
Xorg.2.log

Comment 8 Matěj Cepl 2008-04-19 20:22:25 UTC
Created attachment 303018 [details]
Xorg.2.log.old

Comment 9 Matěj Cepl 2008-04-19 20:22:28 UTC
Created attachment 303019 [details]
Xorg.3.log

Comment 10 Matěj Cepl 2008-04-19 20:22:31 UTC
Created attachment 303020 [details]
Xorg.3.log.old

Comment 11 Matěj Cepl 2008-04-19 20:22:34 UTC
Created attachment 303021 [details]
Xorg.4.log

Comment 12 Matěj Cepl 2008-04-19 20:22:37 UTC
Created attachment 303022 [details]
Xorg.4.log.old

Comment 13 Matěj Cepl 2008-04-19 20:22:40 UTC
Created attachment 303023 [details]
Xorg.5.log

Comment 14 Matěj Cepl 2008-04-19 20:22:44 UTC
Created attachment 303024 [details]
Xorg.5.log.old

Comment 15 Bug Zapper 2008-05-14 09:44:54 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Igor Bukanov 2008-07-28 10:43:11 UTC
On my Dell Latitude X1 laptop with Intel 915 chipset under Fedora-9 with all
updated as of 2008-07-28 acticating i915.modeset=1 leads to X server crash on
startup. Typically after that I can switch to the virtual console, but only
once. That is, after switching back to X-server F7 screen I cannot switch to any
virtual consoles.

The stack trace from Xorg log file (see the following attachments) always report
a segfault like:

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x79) [0x80bc189]
1: [0x110400]
2: /usr/lib/libpixman-1.so.0(pixman_region_fini+0x1c) [0xc2483c]
3: /usr/bin/Xorg(miRegionDestroy+0x22) [0x8116f92]
4: /usr/bin/Xorg(miDestroyGC+0x3d) [0x810dced]
5: /usr/bin/Xorg [0x816becc]
6: /usr/bin/Xorg(FreeGC+0x53) [0x80947f3]
7: /usr/bin/Xorg(FreeResource+0x10c) [0x806df7c]
8: /usr/bin/Xorg(ProcFreeGC+0x6d) [0x80828fd]
9: /usr/bin/Xorg(Dispatch+0x34f) [0x8085def]
10: /usr/bin/Xorg(main+0x47d) [0x806b67d]
11: /lib/libc.so.6(__libc_start_main+0xe6) [0x61c5d6]
12: /usr/bin/Xorg(FontFileCompleteXLFD+0x221) [0x806aa61]

Fatal server error:
Caught signal 11.  Server aborting



Comment 17 Igor Bukanov 2008-07-28 10:44:30 UTC
Created attachment 312761 [details]
Xorg.0.log for comment 16

Comment 18 Igor Bukanov 2008-07-28 10:45:14 UTC
Created attachment 312762 [details]
dmesg output for comment 16

Comment 19 Matěj Cepl 2009-04-24 05:09:37 UTC
Obsolete.


Note You need to log in before you can comment on or make changes to this bug.